Subject: Re: [Ieprep] Comments on draft-carlberg-ieprep-framework

From: [email-masked]
Date: Tue, 12 Mar 2002 14:53:55 EST

In a message dated 3/12/02 11:58:59 AM Eastern Standard Time, 
[email-masked] writes:

> 
> > I thought your draft was proposing two values: "authorized-emergency" 
> > and "general-emergency". 
> 
> 

Is there a new draft after version -00 from Feb 15? It proposes two values, 
doesn't it?

> 
> > But the absence of a value has to default to something.
> 
> correct.  and it seems that it will be helpful to add text about this
> in the Framework draft.
> 
> > Text is being
> > added to the Resource-priority draft to indicate that one of the defined 
> > values needs to be specified as being the default. So, in addition to
> > the defined levels, there needs to be a "Normal" level defined, even if
> > it is never signaled. 
> 
> my assumption was that the text you speak of was in relation to the 
> example DSN NameSpace.  Otherwise, the Resource Header draft is 
> implicitly requiring that any defined namespace must have at least 2 
> values.  

In a response from Henning on Mar 7 to my following comment he wrote:

> [MAP] No, I don't think it is academic. It is worth considering. The result 
is that
> an added item would be needed in resource-priority to designate which level
> is the default for each namespace and to include the action it says above. I
> don't know that this would be a "well-defined" value. It would be different
> in each domain (namespace). For the dsn namespace, it would be "Routine"; 
for
> the q735 namespace, it would be "4".

[Henning] I've added a sentence in each about the default value.

> 
> > Right now, the Resource-header draft is not allowing expansion within a 
> > defined namespace. 
> 
> this is probably a question to James and Henning, but couldn't one
> define a new NameSpace?  

Yes, but the problem with allowing addition of values to an existing 
namespace is that current implementations wouldn't receognize the new values. 
Same problem with a new namespace, except worse.

MIke

---

From: Ken Carlberg <[email-masked]>
Date: Wed, 13 Mar 2002 08:52:54 +0000

> Is there a new draft after version -00 from Feb 15? It proposes two
> values, doesn't it? 

ah ha, i see the root of the confusion.  the Internet-Drafts editor
posted an old version of the Framework draft originally submitted
back in October under a different name, as opposed to the slightly
modified version i submitted in February.  ok, i'll direct my comments 
on what has been posted instead of what was submitted :-)

> > [MAP] No, I don't think it is academic. It is worth considering. The result is that 
> > in each domain (namespace). For the dsn namespace, it would be "Routine"; for 

i'll try and convince him and james otherwise :-)

> > define a new NameSpace?  like MLPPv2, or extended-MLPP?
>
> namespace is that current implementations wouldn't receognize the new
> values. Same problem with a new namespace, except worse. 

i think there is some confusion.  in the above i said a *new* NameSpace,
I didn't say to change an existing one -- ie, one that has already been
defined and registered with IANA.  So if James registers "DSN" with 5 
values, he or someone else can later register "DSNv2" with N values if
a new version of MLPP exists with a different set of values.

which probably leads to a need for a best common practice -- choose
the namespace values carefully, and try to rely on other documents
or standards to reinforce the reasons for selecting the values
associated with the NameSpace.

cheers,

-ken

_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 14 Mar 2002 13:53:40 -0600

> Same problem with a new namespace, except worse. 

Aaahhh but the UA's could easily understand and support multiple namespaces
(with associated values) concurrently, couldn't they? Kinda like a dual stack,
maintaining communication with existing systems while migrating to newer
one(s). 

*************************************
"People generally demand more respect for their own rights than they are
willing to allow for others"

James M. Polk
Consulting Engineer
Office of the CTO

Cisco Systems
2200 East President George Bush Turnpike 
Richardson, TX  75082 USA
w) 972.813.5208
f)  972.813.5280
www.cisco.com